<html dir="rtl" lang="fa">
<head>
  <title>آسان پرداخت :: فری پی</title>
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta charset="utf-8">
  <link href="./assets/bootstrap-3.3.6/dist/css/bootstrap.min.css" rel="stylesheet">
  <link href="./assets/css/style.css" rel="stylesheet">
  <script src="./assets/jquery-1.11.3/jquery.min.js"></script>
  <script src="./assets/bootstrap-3.3.6/dist/js/bootstrap.min.js"></script>
  <script src="./assets/bootstrap-3.3.6/dist/js/validator.js"></script>
  <script>
  $(document).ready(function(){
      $('[data-toggle="tooltip"]').tooltip();
	  $('#refresh-captcha').click(function(){
	      $('#captcha-image').attr('src', './addons/captcha/index.php?' + Math.random());
	  });
	  $('#paymentForm').validator();
  });
  </script>
  <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->
</head>
</html>

<!-- PHP Codes -->
<?php
    session_start();
	header('Cache-Control: no-store, no-cache, must-revalidate, pre-check=0, post-check=0, max-age=0');
	header('content-type: text/html; charset=utf-8');
	include_once("./classes/freepay.class.php");
	include("./config.php");
	$fpclient = new freepay();
	
	/*
	 *
	 * FreePay Form Validation;
	 *
	*/
	$status = array();
	$status['error'] = 0;
	$status['unsuccess'] = false;
	
	if(isset($_POST['amount']) && isset($_POST['captcha'])){
	
		$status['captcha'] = $_POST['captcha'] == $_SESSION["captcha_code"];
		$status['amount'] = ($_POST['amount']>=1000) ? true : false;
		if($status['captcha'] AND $status['captcha']){

		    $status['error'] = 2; // success
		    $parameters = array(
		        'api' => $config['api'],
		        'amount' => (int) $_POST['amount'],
		        'callback' => $config['callbackURL'].'/callback.php',
		        'host' => $_SERVER['SERVER_NAME']
	        );
            $res = $fpclient->paymentRequest($parameters);
			if($res->type == 'success'){
			    header("location: ".$fpclient->gateway_url."gateway:".$res->auth);
				exit();
		    }else{
			    $status['error'] = 1; // failure
				$status['unsuccess'] = true;
				$status['message'] = $res->message;
			}
			
		}else{
		    $status['error'] = 1; // failure
		}
		
		// Prevent users from refreshing the page and get back to the same processes
		$_SESSION["captcha_code"] = 0;
		
	}
?>
<!-- End of Codes -->

<body>
      <div id="central-container">
	    <center>
		  <div id="freepay-logo"></div>
		</center>
		
		<!-- Errors -->
		<?php if($status['error']==1){ ?>
		    <?php if(!$status['amount']){ ?>
		        <div class="alert alert-danger" style="margin-top: 15px;">
		            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong>مبلغ وارد شده صحیح نیست</strong>
                </div>
			<?php } ?>
		    <?php if(!$status['captcha']){ ?>
		        <div class="alert alert-danger" style="margin-top: 15px;">
		            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong>کد امنیتی اشتباه وارد شده است</strong>
                </div>
			<?php } ?>
		    <?php if($status['unsuccess']){ ?>
		        <div class="alert alert-danger" style="margin-top: 15px;">
		            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong><?php echo $status['message']; ?></strong>
                </div>
			<?php } ?>
		<?php } ?>
		
		<!-- The Main Frame of FreePay -->
		<div id="frame">
		<?php if($status['error']!=2){ ?>
		    <form class="form-horizontal" method="post" role="form" id="paymentForm" data-toggle="validator">
                <div class="form-group">
                    <label class="control-label col-sm-3" for="amount">
				        <span data-toggle="tooltip" title="مبلغ پرداختی نمی تواند کمتر از 1.000 تومان باشد!" class="glyphicon glyphicon-exclamation-sign"></span>
					    <span>مبلغ (تومان):</span>
				    </label>
				    <div class="col-sm-9">
                        <input type="number" min="1000" minlength="4" class="form-control" id="amount" name="amount" required>
				    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-sm-3" for="captcha">
				        <span data-toggle="tooltip" title="برای جلوگیری از ربات ها" class="glyphicon glyphicon-exclamation-sign"></span>
					    <span>کد امنیتی:</span>
				    </label>
				    <div class="col-sm-9">
				        <input type="text" minlength="4" class="form-control" id="captcha" name="captcha" required>
					    <div id="captcha-controls">
                            <img src="./addons/captcha/index.php" alt="کد امنیتی" id="captcha-image">
					        <span id="refresh-captcha" data-toggle="tooltip" data-placement="left" title="کد امنیتی جدید" class="btn btn-default">
						        <span style="font-size: 1em" class="glyphicon glyphicon-refresh"></span>
						    </span>
					    </div>
			   	    </div>
                </div>
			    <div class="form-group">
			        <label class="control-label col-sm-3"></label>
			        <div class="col-sm-9">
                        <button type="submit" class="btn btn-default">ادامه <span class="glyphicon glyphicon-chevron-left"></span></button>
				    </div>
			    </div>
            </form>
		<?php } ?>
		</div>
		<div id="footer">
		    <a href="http://freepay.ir/">سیستم پرداخت اینترنتی فری پی - FreePay ©</a>
		</div>
	  </div>
</body>